# Class: PriorityClient

## PriorityClient

## Constructor

#### new PriorityClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/priority'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/priority.js, line 5

### Methods

#### getAllPriorities(opts, callback)

Returns a list of all priorities visible to the user

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the priorities have been retrieved.

Source:
  - api/priority.js, line 14

#### getPriority(opts, callback)

Get a full representation of the priority that has the given id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`priorityId` |  | A String containing a priority id

`callback` |  | Called when the priority has been retrieved.

Source:
  - api/priority.js, line 33